with GNATCOM.Dispinterface;

package MSHTML.ISVGDocument_Interface is

   type ISVGDocument_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out ISVGDocument_Type);

   function Pointer (This : ISVGDocument_Type)
     return Pointer_To_ISVGDocument;

   procedure Attach (This    : in out ISVGDocument_Type;
                     Pointer : in     Pointer_To_ISVGDocument);

   function Get_rootElement
     (This : ISVGDocument_Type)
     return Pointer_To_ISVGSVGElement;

end MSHTML.ISVGDocument_Interface;

